#include <gtk/gtk.h>

/* Why do we have function prototypes here that are clearly in other
   source files other than callbacks.c?  It is because Glade assumes that
   they will all be in one place, despite my wish to split them into
   different areas.  a minor issue, but one that I'm sure I'd be asked
   about unless I told you here! - quozl@us.netrek.org */

void
on_File_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_Preferences_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_Save_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_Exit_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_Create__activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_Edit__activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_Delete__activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_About_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_list_select_row                     (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_charging_toggled                    (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_focus_toggled                       (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

gboolean
on_main_delete_event                   (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_main_show                           (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_list_unselect_row                   (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);

gboolean
on_message_delete_event                (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_message_ok_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_manual_delete_event                 (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_manual_ok_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_Manual_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
on_list_button_press_event             (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_list_button_release_event           (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_preferences_ok_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_preferences_apply_clicked           (GtkButton       *button,
                                        gpointer         user_data);

void
on_preferences_cancel_clicked          (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_preferences_delete_event            (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);


void
on_entry_ok_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_entry_apply_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_entry_cancel_clicked                (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_entry_delete_event                  (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_question_ok_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_question_delete_event               (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_question_cancel_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void focus_reschedule();

void focus_schedule();

void focus_deschedule();


void
on_shortcut_list_show                  (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_shortcut_list_select_child          (GtkList         *list,
                                        GtkWidget       *widget,
                                        gpointer         user_data);

void
on_shortcut_text_show                  (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_shortcut_clear_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_shortcut_capture_clicked            (GtkButton       *button,
                                        gpointer         user_data);

void
on_shortcut_list_show                  (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_shortcut_list_select_child          (GtkList         *list,
                                        GtkWidget       *widget,
                                        gpointer         user_data);

void
on_shortcut_list_select_row            (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_shortcut_list_show                  (GtkWidget       *widget,
                                        gpointer         user_data);

gboolean
on_observations_delete_event           (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_observations_close_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_observations_list_show              (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_observations_close_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_observations_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_shortcut_list_unselect_row          (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_observations_remove_clicked         (GtkButton       *button,
                                        gpointer         user_data);

void
on_observations_reassign_clicked       (GtkButton       *button,
                                        gpointer         user_data);

void
on_observations_list_select_row        (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_observations_list_unselect_row      (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_headings_0_toggled                  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_headings_1_toggled                  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_totals_0_toggled                    (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_totals_1_toggled                    (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_format_0_toggled                    (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_format_1_toggled                    (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_format_2_toggled                    (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_format_3_toggled                    (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

gboolean
on_focus_rate_leave_notify_event       (GtkWidget       *widget,
                                        GdkEventCrossing *event,
                                        gpointer         user_data);

gboolean
on_connect_time_leave_notify_event     (GtkWidget       *widget,
                                        GdkEventCrossing *event,
                                        gpointer         user_data);

void
on_unknown_do_1_toggled                (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_unknown_do_0_toggled                (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_connect_do_0_toggled                (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_connect_do_1_toggled                (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

gboolean
on_preferences_delete_event            (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);
