void observation_initialise();

void observation_dump (struct od *od);

/* remove an observation from the list */
void observation_remove (struct od *od);

/* append an observation to the list */
void observation_append (struct od *od);

void observation_start_manual (time_t start, struct ed *ed);

void observation_start_focus (time_t start, struct ed *ed, 
			       Window window, char *name, struct wd *wd);

void observation_start_external (time_t start, struct ed *ed, 
				  char *name);

void observation_end (time_t end);

void observation_update (time_t now);

void observation_purge (struct ed *ed);
